%define major	1
%define	libname	%mklibname aio %{major}
%define	libnamedev %mklibname aio -d
%define	libnamedev_static %mklibname aio -d -s

Name:		libaio
Version:	0.3.111
Release:	%mkrel 1

Summary: 	Linux-native asynchronous I/O access library
License: 	LGPLv2+
Group:	 	System/Libraries
Source: 	https://releases.pagure.org/libaio/%{name}-%{version}.tar.xz

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.
You may require this package if you want to install some DBMS.

%package -n     %{libname}
Summary:        Dynamic libraries for libaio
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

%package -n	%{libnamedev}
Summary:	Development and include files for libaio
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{libnamedev}
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

This archive contains the header-files for %{libname} development.

%package -n	%{libnamedev_static}
Summary:	Development components for libaio
Group:		Development/Libraries
Requires:	%{libnamedev} = %{version}-%{release}
Obsoletes:	%{libname}-static-devel

%description -n	%{libnamedev_static}
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

This archive contains the static libraries (.a) 

%prep
%setup -q -a 0
mv %{name}-%{version} compat-%{name}-%{version}

%build
export CFLAGS="%{optflags}"
cd compat-%{name}-%{version}
%make \
    soname='libaio.so.1.0.0' libname='libaio.so.1.0.0' \
    CFLAGS="%{optflags} -nostdlib -nostartfiles -I. -fPIC"
cd ..
%make CFLAGS="%{optflags} -nostdlib -nostartfiles -I. -fPIC"

%install
cd compat-%{name}-%{version}
install -D -m 755 src/libaio.so.1.0.0 \
  %{buildroot}/%{_libdir}/libaio.so.1.0.0
cd ..
%make libdir=%{buildroot}%{_libdir} \
	includedir=%{buildroot}%{_includedir} \
    install

%files -n %{libname}
%{_libdir}/libaio.so.%{major}*

%files -n %{libnamedev}
%doc COPYING TODO
%{_includedir}/*
%{_libdir}/libaio.so

%files -n %{libnamedev_static}
%{_libdir}/libaio.a


%changelog
* Mon Jan 07 2019 adrianomorselli <adrianomorselli> 0.3.111-1uplos2019
- update
